diff --git a/contrib/ncurses/man/form_field_userptr.3x b/contrib/ncurses/man/form_field_userptr.3x
index 5d3ab1444c35..6eea09201e76 100644
--- a/contrib/ncurses/man/form_field_userptr.3x
+++ b/contrib/ncurses/man/form_field_userptr.3x
@@ -1,6 +1,5 @@
-'\" t
 .\"***************************************************************************
-.\" Copyright 2018,2020 Thomas E. Dickey                                     *
+.\" Copyright 2018-2023,2024 Thomas E. Dickey                                *
 .\" Copyright 1998-2010,2015 Free Software Foundation, Inc.                  *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
@@ -28,32 +27,29 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: form_field_userptr.3x,v 1.16 2020/10/24 09:06:33 tom Exp $
-.TH form_field_userptr 3X ""
+.\" $Id: form_field_userptr.3x,v 1.30 2024/03/16 15:35:01 tom Exp $
+.TH form_field_userptr 3X 2024-03-16 "ncurses @NCURSES_MAJOR@.@NCURSES_MINOR@" "Library calls"
 .SH NAME
-\fBset_field_userptr\fR,
-\fBfield_userptr\fR \- associate application data with a form field
+\fBset_field_userptr\fP,
+\fBfield_userptr\fP \-
+associate application data with a form field
 .SH SYNOPSIS
-\fB#include <form.h>\fR
-.sp
-\fBint set_field_userptr(FIELD *\fP\fIfield\fP\fB, void *\fP\fIuserptr\fP\fB);\fP
-.br
-\fBvoid *field_userptr(const FIELD *\fP\fIfield\fP\fB);\fP
+.nf
+\fB#include <form.h>
+.PP
+\fBint set_field_userptr(FIELD *\fIfield\fP, void *\fIuserptr\fP);
+\fBvoid *field_userptr(const FIELD *\fIfield\fP);
+.fi
 .SH DESCRIPTION
 Every form field has a field that can be used to hold application-specific data
 (that is, the form-driver code leaves it alone).
 These functions get and set
 that field.
 .SH RETURN VALUE
-The function \fBfield_userptr\fR returns a pointer (which may be \fBNULL\fR).
+The function \fBfield_userptr\fP returns a pointer (which may be \fBNULL\fP).
 It does not set \fBerrno\fP.
 .PP
-The function \fBset_field_userptr\fR returns \fBE_OK\fP (success).
-.SH SEE ALSO
-\fBcurses\fR(3X), \fBform\fR(3X).
-.SH NOTES
-The header file \fB<form.h>\fR automatically includes the header file
-\fB<curses.h>\fR.
+The function \fBset_field_userptr\fP returns \fBE_OK\fP (success).
 .SH PORTABILITY
 These routines emulate the System V forms library.
 They were not supported on
@@ -64,3 +60,6 @@ We chose not to leave it as a char pointer for SVr4 compatibility.
 .SH AUTHORS
 Juergen Pfeifer.
 Manual pages and adaptation for new curses by Eric S. Raymond.
+.SH SEE ALSO
+\fB\%curses\fP(3X),
+\fB\%form\fP(3X)
diff --git a/contrib/ncurses/man/form_field_validation.3x b/contrib/ncurses/man/form_field_validation.3x
index 8ce9132c13c7..54fa2a72a4b4 100644
--- a/contrib/ncurses/man/form_field_validation.3x
+++ b/contrib/ncurses/man/form_field_validation.3x
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright 2018-2019,2020 Thomas E. Dickey                                *
+.\" Copyright 2018-2023,2024 Thomas E. Dickey                                *
 .\" Copyright 1998-2010,2017 Free Software Foundation, Inc.                  *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
@@ -27,43 +27,43 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: form_field_validation.3x,v 1.33 2020/12/12 19:57:55 tom Exp $
-.TH form_field_validation 3X ""
-.ie \n(.g .ds `` \(lq
-.el       .ds `` ``
-.ie \n(.g .ds '' \(rq
-.el       .ds '' ''
+.\" $Id: form_field_validation.3x,v 1.53 2024/03/16 15:35:01 tom Exp $
+.TH form_field_validation 3X 2024-03-16 "ncurses @NCURSES_MAJOR@.@NCURSES_MINOR@" "Library calls"
+.ie \n(.g \{\
+.ds `` \(lq
+.ds '' \(rq
+.\}
+.el \{\
+.ie t .ds `` ``
+.el   .ds `` ""
+.ie t .ds '' ''
+.el   .ds '' ""
+.\}
+.
 .de bP
 .ie n  .IP \(bu 4
 .el    .IP \(bu 2
 ..
 .SH NAME
-\fBform_field_validation\fR \- data type validation for fields
+\fBform_field_validation\fP \-
+data type validation for fields
 .SH SYNOPSIS
-\fB#include <form.h>\fR
-.sp
-\fBvoid *field_arg(const FIELD *\fP\fIfield\fP\fB);\fP
-.br
-\fBFIELDTYPE *field_type(const FIELD *\fP\fIfield\fP\fB);\fP
-.br
-\fBint set_field_type(FIELD *\fP\fIfield\fP\fB, FIELDTYPE *\fP\fItype\fP\fB, ...);\fP
-.sp
-/* predefined field types */
-.br
-\fBFIELDTYPE *TYPE_ALNUM;\fP
-.br
-\fBFIELDTYPE *TYPE_ALPHA;\fP
-.br
-\fBFIELDTYPE *TYPE_ENUM;\fP
-.br
-\fBFIELDTYPE *TYPE_INTEGER;\fP
-.br
-\fBFIELDTYPE *TYPE_NUMERIC;\fP
-.br
-\fBFIELDTYPE *TYPE_REGEXP;\fP
-.br
-\fBFIELDTYPE *TYPE_IPV4;\fP
-.br
+.nf
+\fB#include <form.h>
+.PP
+\fBvoid *field_arg(const FIELD *\fIfield\fP);
+\fBFIELDTYPE *field_type(const FIELD *\fIfield\fP);
+\fBint set_field_type(FIELD *\fIfield\fP, FIELDTYPE *\fItype\fP, ...);
+.PP
+\fI/* predefined field types */\fP
+\fBFIELDTYPE *TYPE_ALNUM;
+\fBFIELDTYPE *TYPE_ALPHA;
+\fBFIELDTYPE *TYPE_ENUM;
+\fBFIELDTYPE *TYPE_INTEGER;
+\fBFIELDTYPE *TYPE_NUMERIC;
+\fBFIELDTYPE *TYPE_REGEXP;
+\fBFIELDTYPE *TYPE_IPV4;
+.fi
 .SH DESCRIPTION
 By default, no validation is done on form fields.
 You can associate a form with with a \fIfield type\fP,
@@ -76,113 +76,94 @@ a copy of the arguments provided in a \fBset_field_type\fP call.
 Returns a pointer to the \fIfield type\fP associated with the form field,
 i.e., by calling \fBset_field_type\fP.
 .SS set_field_type
-The function \fBset_field_type\fR associates
+The function \fBset_field_type\fP associates
 a field type with a given form field.
 This is the type checked by validation functions.
 Most field types are configurable,
 via arguments which the caller provides when calling \fBset_field_type\fP.
 .PP
 Several field types are predefined by the form library.
-.SS Predefined types
-.PP
+.SH PREDEFINED TYPES
 It is possible to set up new programmer-defined field types.
 Field types are implemented via the \fBFIELDTYPE\fP data
 structure, which contains several pointers to functions.
 .PP
-See the \fBform_fieldtype\fR(3X) manual page,
+See the \fBform_fieldtype\fP(3X) manual page,
 which describes functions which can be used to construct
 a field-type dynamically.
 .PP
 The predefined types are as follows:
-.TP 5
-TYPE_ALNUM
+.SS TYPE_ALNUM
 Alphanumeric data.
 Required parameter:
-.RS
 .bP
-a third \fBint\fR argument, a minimum field width.
-.RE
-.TP 5
-TYPE_ALPHA
+a third \fBint\fP argument, a minimum field width.
+.SS TYPE_ALPHA
 Character data.
 Required parameter:
-.RS
 .bP
-a third \fBint\fR argument, a minimum field width.
-.RE
-.TP 5
-TYPE_ENUM
+a third \fBint\fP argument, a minimum field width.
+.SS TYPE_ENUM
 Accept one of a specified set of strings.
 Required parameters:
-.RS
 .bP
-a third \fB(char **)\fR argument pointing to a string list;
+a third \fB(char **)\fP argument pointing to a string list;
 .bP
-a fourth \fBint\fR flag argument to enable case-sensitivity;
+a fourth \fBint\fP flag argument to enable case-sensitivity;
 .bP
-a fifth \fBint\fR flag argument specifying whether a partial
+a fifth \fBint\fP flag argument specifying whether a partial
 match must be a unique one.
 If this flag is off, a prefix matches the first
 of any set of more than one list elements with that prefix.
-.RE
-.IP
+.PP
 The library copies the string list,
 so you may use a list that lives in automatic variables on the stack.
-.TP 5
-TYPE_INTEGER
+.SS TYPE_INTEGER
 Integer data, parsable to an integer by \fBatoi\fP(3).
 Required parameters:
-.RS
 .bP
-a third \fBint\fR argument controlling the precision,
+a third \fBint\fP argument controlling the precision,
 .bP
-a fourth \fBlong\fR argument constraining minimum value,
+a fourth \fBlong\fP argument constraining minimum value,
 .bP
-a fifth \fBlong\fR constraining maximum value.
+a fifth \fBlong\fP constraining maximum value.
 If the maximum value is less than or equal to the minimum value, the range is
 simply ignored.
-.RE
-.IP
+.PP
 On return, the field buffer is formatted according to the
-\fBprintf\fR format specification \*(``.*ld\*('',
+\fBprintf\fP format specification \*(``.*ld\*('',
 where the \*(``*\*('' is replaced by the precision argument.
-.IP
-For details of the precision handling see \fBprintf\fR(3).
-.TP 5
-TYPE_NUMERIC
+.PP
+For details of the precision handling see \fBprintf\fP(3).
+.SS TYPE_NUMERIC
 Numeric data (may have a decimal-point part).
 Required parameters:
-.RS
 .bP
-a third \fBint\fR argument controlling the precision,
+a third \fBint\fP argument controlling the precision,
 .bP
-a fourth \fBdouble\fR argument constraining minimum value,
+a fourth \fBdouble\fP argument constraining minimum value,
 .bP
-and a fifth \fBdouble\fR constraining maximum value.
+and a fifth \fBdouble\fP constraining maximum value.
 If your system supports locales,
 the decimal point character must be the one specified by your locale.
 If the maximum value is less than or equal to the minimum value,
 the range is simply ignored.
-.RE
-.IP
+.PP
 On return, the field buffer is formatted according to the
-\fBprintf\fR format specification \*(``.*f\*('',
+\fBprintf\fP format specification \*(``.*f\*('',
 where the \*(``*\*('' is replaced by the precision argument.
-.IP
-For details of the precision handling see \fBprintf\fR(3).
-.TP 5
-TYPE_REGEXP
+.PP
+For details of the precision handling see \fBprintf\fP(3).
+.SS TYPE_REGEXP
 Regular expression data.
 Required parameter:
-.RS
 .bP
-a third argument, a regular expression \fB(char *)\fR string.
+a third argument, a regular expression \fB(char *)\fP string.
 The data is valid if the regular expression matches it.
-.RE
-.IP
+.PP
 Regular expressions
-are in the format of \fBregcomp\fR and \fBregexec\fR.
-.IP
+are in the format of \fBregcomp\fP and \fBregexec\fP.
+.PP
 The regular expression must match the whole field.
 If you have for example, an eight character wide field,
 a regular expression "^[0\-9]*$" always
@@ -192,39 +173,28 @@ you may use for example "^[0\-9]* *$" which is good for
 trailing spaces (up to an empty field),
 or "^ *[0\-9]* *$" which is good for
 leading and trailing spaces around the digits.
-.TP 5
-TYPE_IPV4
+.SS TYPE_IPV4
 An Internet Protocol Version 4 address.
 Required parameter:
-.RS
 .bP
 none
-.RE
-.IP
+.PP
 The form library checks whether or not the buffer has the form \fIa.b.c.d\fP,
 where \fIa\fP, \fIb\fP, \fIc\fP, and \fId\fP are numbers in the range 0 to 255.
 Trailing blanks in the buffer are ignored.
 The address itself is not validated.
-.IP
-This is an ncurses extension;
+.PP
+This is an \fI\%ncurses\fP extension;
 this field type may not be available in other curses implementations.
 .SH RETURN VALUE
-The functions \fBfield_type\fR and \fBfield_arg\fR return \fBNULL\fR on error.
-The function \fBset_field_type\fR returns one of the following:
+The functions \fBfield_type\fP and \fBfield_arg\fP return \fBNULL\fP on error.
+The function \fBset_field_type\fP returns one of the following:
 .TP 5
 .B E_OK
 The routine succeeded.
 .TP 5
 .B E_SYSTEM_ERROR
-System error occurred (see \fBerrno\fR(3)).
-.SH SEE ALSO
-\fBcurses\fR(3X),
-\fBform\fR(3X),
-\fBform_fieldtype\fR(3X),
-\fBform_variables\fR(3X).
-.SH NOTES
-The header file \fB<form.h>\fR automatically includes the header file
-\fB<curses.h>\fR.
+System error occurred (see \fBerrno\fP(3)).
 .SH PORTABILITY
 These routines emulate the System V forms library.
 They were not supported on
@@ -232,3 +202,8 @@ Version 7 or BSD versions.
 .SH AUTHORS
 Juergen Pfeifer.
 Manual pages and adaptation for new curses by Eric S. Raymond.
+.SH SEE ALSO
+\fB\%curses\fP(3X),
+\fB\%form\fP(3X),
+\fB\%form_fieldtype\fP(3X),
+\fB\%form_variables\fP(3X)
diff --git a/contrib/ncurses/man/form_fieldtype.3x b/contrib/ncurses/man/form_fieldtype.3x
index 767c3fcfafcd..81a58b1d8e48 100644
--- a/contrib/ncurses/man/form_fieldtype.3x
+++ b/contrib/ncurses/man/form_fieldtype.3x
@@ -1,6 +1,5 @@
-'\" t
 .\"***************************************************************************
-.\" Copyright 2018-2019,2020 Thomas E. Dickey                                *
+.\" Copyright 2018-2023,2024 Thomas E. Dickey                                *
 .\" Copyright 1998-2006,2010 Free Software Foundation, Inc.                  *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
@@ -28,43 +27,44 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: form_fieldtype.3x,v 1.28 2020/12/12 17:11:21 tom Exp $
+.\" $Id: form_fieldtype.3x,v 1.46 2024/03/16 15:35:01 tom Exp $
+.TH form_fieldtype 3X 2024-03-16 "ncurses @NCURSES_MAJOR@.@NCURSES_MINOR@" "Library calls"
 .de bP
 .ie n  .IP \(bu 4
 .el    .IP \(bu 2
 ..
-.TH form_fieldtype 3X ""
 .SH NAME
-\fBform_fieldtype\fR \- define validation-field types
+\fBform_fieldtype\fP \-
+define validation-field types
 .SH SYNOPSIS
-\fB#include <form.h>\fR
-.sp
-\fBFIELDTYPE *new_fieldtype(\fP
-    \fBbool (* const \fP\fIfield_check\fP\fB)(FIELD *, const void *),\fP
-    \fBbool (* const \fP\fIchar_check\fP\fB)(int, const void *));\fP
-.br
-\fBint free_fieldtype(FIELDTYPE *\fP\fIfieldtype\fP\fB);\fP
-.sp
+.nf
+\fB#include <form.h>
+.PP
+\fBFIELDTYPE *new_fieldtype(
+    \fBbool (* const \fIfield_check\fB)(FIELD *, const void *),\fR
+    \fBbool (* const \fIchar_check\fB)(int, const void *));\fR
+\fBint free_fieldtype(FIELDTYPE *\fIfieldtype\fB);\fR
+.PP
 \fBint set_fieldtype_arg(\fP
-    \fBFIELDTYPE *\fP\fIfieldtype\fP\fB,\fP
-    \fBvoid *(* const \fP\fImake_arg\fP\fB)(va_list *),\fP
-    \fBvoid *(* const \fP\fIcopy_arg\fP\fB)(const void *),\fP
-    \fBvoid  (* const \fP\fIfree_arg\fP\fB)(void *));\fP
-.br
+    \fBFIELDTYPE *\fIfieldtype\fB,\fR
+    \fBvoid *(* const \fImake_arg\fB)(va_list *),\fR
+    \fBvoid *(* const \fIcopy_arg\fB)(const void *),\fR
+    \fBvoid  (* const \fIfree_arg\fB)(void *));\fR
 \fBint set_fieldtype_choice(\fP
-    \fBFIELDTYPE *\fP\fIfieldtype\fP\fB,\fP
-    \fBbool (* const \fP\fInext_choice\fP\fB)(FIELD *, const void *),\fP
-    \fBbool (* const \fP\fIprev_choice\fP\fB)(FIELD *, const void *));\fP
-.sp
-\fBFIELDTYPE *link_fieldtype(FIELDTYPE *\fP\fItype1\fP\fB,\fP
-                          \fBFIELDTYPE *\fP\fItype2\fP\fB);\fP
+    \fBFIELDTYPE *\fIfieldtype\fB,\fR
+    \fBbool (* const \fInext_choice\fB)(FIELD *, const void *),\fR
+    \fBbool (* const \fIprev_choice\fB)(FIELD *, const void *));\fR
+.PP
+\fBFIELDTYPE *link_fieldtype(FIELDTYPE *\fItype1\fB,\fR
+                          \fBFIELDTYPE *\fItype2\fB);\fR
+.fi
 .SH DESCRIPTION
 .SS new_fieldtype
-The function \fBnew_fieldtype\fR creates a new field type usable for data
+The function \fBnew_fieldtype\fP creates a new field type usable for data
 validation.
 Its parameters are function pointers:
 .TP 5
-\fIfield_check\fR
+\fIfield_check\fP
 This function checks the
 validity of an entered data string whenever the user attempts to leave a field.
 It has two arguments:
@@ -77,51 +77,47 @@ The second argument is an
 argument-block structure, about which more below.
 .RE
 .TP 5
-\fIchar_check\fR
+\fIchar_check\fP
 This function validates input characters as they are entered.
 The form library passes it the character to be checked
 and a pointer to an argument-block structure.
 .SS free_fieldtype
-.PP
-The \fBfree_fieldtype\fR function
+The \fBfree_fieldtype\fP function
 frees the space allocated for a given validation type by \fBnew_fieldtype\fP.
 .SS set_fieldtype_arg
-.PP
-The function \fBset_fieldtype_arg\fR associates
+The function \fBset_fieldtype_arg\fP associates
 three storage-management functions with a field type:
 .TP 5
-\fImake_arg\fR
+\fImake_arg\fP
 This function is automatically applied to the
-list of arguments you give \fBset_field_type\fR when attaching validation
+list of arguments you give \fBset_field_type\fP when attaching validation
 to a field.
 It stores the arguments in an allocated argument-block
 object which is used when validating input.
 .TP 5
-\fIcopy_arg\fR
+\fIcopy_arg\fP
 This function may be used by applications to copy argument-blocks.
 .TP 5
-\fIfree_arg\fR
+\fIfree_arg\fP
 Frees an argument-block structure.
 .PP
-You must supply the \fImake_arg\fR function.
+You must supply the \fImake_arg\fP function.
 The other two are optional: you may supply NULL for them.
 In this case, the form library assumes
-that \fImake_arg\fR does not allocate memory but simply loads the
+that \fImake_arg\fP does not allocate memory but simply loads the
 argument into a single scalar value.
 .SS set_fieldtype_choice
-.PP
-The form driver requests \fBREQ_NEXT_CHOICE\fR and \fBREQ_PREV_CHOICE\fR assume
+The form driver requests \fBREQ_NEXT_CHOICE\fP and \fBREQ_PREV_CHOICE\fP assume
 that the possible values of a field form an ordered set, and provide the forms
 user with a way to move through the set.
 .PP
-The \fBset_fieldtype_choice\fR
+The \fBset_fieldtype_choice\fP
 function allows forms programmers to define successor and predecessor functions
 for the field type.
 These functions take the field pointer and an
 argument-block structure as arguments.
 .SS link_fieldtype
-.PP
-The function \fBlink_fieldtype\fR creates
+The function \fBlink_fieldtype\fP creates
 a new field type from the two given types.
 They are connected by an logical 'OR'.
 .SH RETURN VALUE
@@ -153,14 +149,7 @@ The field is already connected to a form.
 The field is the current field.
 .TP 5
 .B E_SYSTEM_ERROR
-System error occurred (see \fBerrno\fR(3)).
-.SH SEE ALSO
-\fBcurses\fR(3X),
-\fBform\fR(3X),
-\fBform_field_validation\fR(3X).
-.SH NOTES
-The header file \fB<form.h>\fR automatically includes the header file
-\fB<curses.h>\fR.
+System error occurred (see \fBerrno\fP(3)).
 .SH PORTABILITY
 These routines emulate the System V forms library.
 They were not supported on
@@ -168,3 +157,7 @@ Version 7 or BSD versions.
 .SH AUTHORS
 Juergen Pfeifer.
 Manual pages and adaptation for new curses by Eric S. Raymond.
+.SH SEE ALSO
+\fB\%curses\fP(3X),
+\fB\%form\fP(3X),
+\fB\%form_field_validation\fP(3X)
diff --git a/contrib/ncurses/man/form_hook.3x b/contrib/ncurses/man/form_hook.3x
index e84aa972f4c2..d93d8d875cb0 100644
--- a/contrib/ncurses/man/form_hook.3x
+++ b/contrib/ncurses/man/form_hook.3x
@@ -1,6 +1,5 @@
-'\" t
 .\"***************************************************************************
-.\" Copyright 2018-2019,2020 Thomas E. Dickey                                *
+.\" Copyright 2018-2023,2024 Thomas E. Dickey                                *
 .\" Copyright 1998-2007,2010 Free Software Foundation, Inc.                  *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
@@ -28,57 +27,56 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: form_hook.3x,v 1.16 2020/10/18 00:06:29 tom Exp $
-.TH form_hook 3X ""
+.\" $Id: form_hook.3x,v 1.37 2024/03/16 15:35:01 tom Exp $
+.TH form_hook 3X 2024-03-16 "ncurses @NCURSES_MAJOR@.@NCURSES_MINOR@" "Library calls"
 .SH NAME
-\fBform_hook\fR \- set hooks for automatic invocation by applications
+\fBform_hook\fP \-
+set hooks for automatic invocation by applications
 .SH SYNOPSIS
-\fB#include <form.h>\fR
-.sp
-\fBint set_field_init(FORM *\fP\fIform\fP\fB, Form_Hook \fP\fIfunc\fP\fB);\fP
-.br
-\fBForm_Hook field_init(const FORM *\fP\fIform\fP\fB);\fP
-.sp
-\fBint set_field_term(FORM *\fP\fIform\fP\fB, Form_Hook \fP\fIfunc\fP\fB);\fP
-.br
-\fBForm_Hook field_term(const FORM *\fP\fIform\fP\fB);\fP
-.sp
-\fBint set_form_init(FORM *\fP\fIform\fP\fB, Form_Hook \fP\fIfunc\fP\fB);\fP
-.br
-\fBForm_Hook form_init(const FORM *\fP\fIform\fP\fB);\fP
-.sp
-\fBint set_form_term(FORM *\fP\fIform\fP\fB, Form_Hook \fP\fIfunc\fP\fB);\fP
-.br
-\fBForm_Hook form_term(const FORM *\fP\fIform\fP\fB);\fP
-.br
+.nf
+\fB#include <form.h>
+.PP
+\fBint set_field_init(FORM *\fIform\fP, Form_Hook \fIfunc\fP);
+\fBForm_Hook field_init(const FORM *\fIform\fP);
+.PP
+\fBint set_field_term(FORM *\fIform\fP, Form_Hook \fIfunc\fP);
+\fBForm_Hook field_term(const FORM *\fIform\fP);
+.PP
+\fBint set_form_init(FORM *\fIform\fP, Form_Hook \fIfunc\fP);
+\fBForm_Hook form_init(const FORM *\fIform\fP);
+.PP
+\fBint set_form_term(FORM *\fIform\fP, Form_Hook \fIfunc\fP);
+\fBForm_Hook form_term(const FORM *\fIform\fP);
+.fi
 .SH DESCRIPTION
 These functions make it possible to set hook functions to be called at various
-points in the automatic processing of input event codes by \fBform_driver\fR.
-.PP
-The function \fBset_field_init\fR sets a hook to be called at form-post time
+points in the automatic processing of input event codes by \fBform_driver\fP.
+.SS set_field_init
+sets a hook to be called at form-post time
 and each time the selected field changes (after the change).
-\fBfield_init\fR
-returns the current field init hook, if any (\fBNULL\fR if there is no such
+.SS field_init
+returns the current field init hook, if any (\fBNULL\fP if there is no such
 hook).
-.PP
-The function \fBset_field_term\fR sets a hook to be called at form-unpost time
+.SS set_field_term
+sets a hook to be called at form-unpost time
 and each time the selected field changes (before the change).
-\fBfield_term\fR
-returns the current field term hook, if any (\fBNULL\fR if there is no such
+.SS field_term
+returns the current field term hook, if any (\fBNULL\fP if there is no such
 hook).
-.PP
-The function \fBset_form_init\fR sets a hook to be called at form-post time and
+.SS set_form_init
+sets a hook to be called at form-post time and
 just after a page change once it is posted.
-\fBform_init\fR returns the
-current form init hook, if any (\fBNULL\fR if there is no such hook).
-.PP
-The function \fBset_form_term\fR sets a hook to be called at form-unpost time
+.SS form_init
+returns the current form init hook,
+if any (\fBNULL\fP if there is no such hook).
+.SS set_form_term
+sets a hook to be called at form-unpost time
 and just before a page change once it is posted.
-\fBform_init\fR
-returns the current form term hook, if any (\fBNULL\fR if there is no such
+.SS form_term
+returns the current form term hook, if any (\fBNULL\fP if there is no such
 hook).
 .SH RETURN VALUE
-Routines that return pointers return \fBNULL\fR on error.
+Routines that return pointers return \fBNULL\fP on error.
 Other routines
 return one of the following:
 .TP 5
@@ -86,12 +84,7 @@ return one of the following:
 The routine succeeded.
 .TP 5
 .B E_SYSTEM_ERROR
-System error occurred (see \fBerrno\fR(3)).
-.SH SEE ALSO
-\fBcurses\fR(3X), \fBform\fR(3X).
-.SH NOTES
-The header file \fB<form.h>\fR automatically includes the header file
-\fB<curses.h>\fR.
+System error occurred (see \fBerrno\fP(3)).
 .SH PORTABILITY
 These routines emulate the System V forms library.
 They were not supported on
@@ -99,3 +92,6 @@ Version 7 or BSD versions.
 .SH AUTHORS
 Juergen Pfeifer.
 Manual pages and adaptation for new curses by Eric S. Raymond.
+.SH SEE ALSO
+\fB\%curses\fP(3X),
+\fB\%form\fP(3X)
diff --git a/contrib/ncurses/man/form_new.3x b/contrib/ncurses/man/form_new.3x
index 47398174fad8..dc45e183f8aa 100644
--- a/contrib/ncurses/man/form_new.3x
+++ b/contrib/ncurses/man/form_new.3x
@@ -1,6 +1,5 @@
-'\" t
 .\"***************************************************************************
-.\" Copyright 2018,2020 Thomas E. Dickey                                     *
+.\" Copyright 2018-2023,2024 Thomas E. Dickey                                *
 .\" Copyright 1998-2010,2015 Free Software Foundation, Inc.                  *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
@@ -28,26 +27,27 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: form_new.3x,v 1.15 2020/10/24 09:02:26 tom Exp $
-.TH form_new 3X ""
+.\" $Id: form_new.3x,v 1.32 2024/03/16 15:35:01 tom Exp $
+.TH form_new 3X 2024-03-16 "ncurses @NCURSES_MAJOR@.@NCURSES_MINOR@" "Library calls"
 .SH NAME
-\fBnew_form\fR,
-\fBfree_form\fP \- create and destroy forms
+\fBnew_form\fP,
+\fBfree_form\fP \-
+create and destroy forms
 .SH SYNOPSIS
-\fB#include <form.h>\fR
-.sp
-\fBFORM *new_form(FIELD **\fP\fIfields\fP\fB);\fP
-.br
-\fBint free_form(FORM *\fP\fIform\fP\fB);\fP
-.br
+.nf
+\fB#include <form.h>
+.PP
+\fBFORM *new_form(FIELD **\fIfields\fP);
+\fBint free_form(FORM *\fIform\fP);
+.fi
 .SH DESCRIPTION
-The function \fBnew_form\fR creates a new form connected to a specified field
-pointer array (which must be \fBNULL\fR-terminated).
+The function \fBnew_form\fP creates a new form connected to a specified field
+pointer array (which must be \fBNULL\fP-terminated).
 .PP
-The function \fBfree_form\fR disconnects \fIform\fR from its field array
+The function \fBfree_form\fP disconnects \fIform\fP from its field array
 and frees the storage allocated for the form.
 .SH RETURN VALUE
-The function \fBnew_form\fR returns \fBNULL\fR on error.
+The function \fBnew_form\fP returns \fBNULL\fP on error.
 It sets \fBerrno\fP according to the function's success:
 .TP 5
 .B E_OK
@@ -62,7 +62,7 @@ The field is already connected to a form.
 .B E_SYSTEM_ERROR
 System error occurred, e.g., malloc failure.
 .PP
-The function \fBfree_form\fR returns one of the following:
+The function \fBfree_form\fP returns one of the following:
 .TP 5
 .B E_OK
 The routine succeeded.
@@ -72,11 +72,6 @@ Routine detected an incorrect or out-of-range argument.
 .TP 5
 .B E_POSTED
 The form has already been posted.
-.SH SEE ALSO
-\fBcurses\fR(3X), \fBform\fR(3X).
-.SH NOTES
-The header file \fB<form.h>\fR automatically includes the header file
-\fB<curses.h>\fR.
 .SH PORTABILITY
 These routines emulate the System V forms library.
 They were not supported on
@@ -84,3 +79,6 @@ Version 7 or BSD versions.
 .SH AUTHORS
 Juergen Pfeifer.
 Manual pages and adaptation for new curses by Eric S. Raymond.
+.SH SEE ALSO
+\fB\%curses\fP(3X),
+\fB\%form\fP(3X)
diff --git a/contrib/ncurses/man/form_new_page.3x b/contrib/ncurses/man/form_new_page.3x
index 478688faffbe..c47a959d3b5a 100644
--- a/contrib/ncurses/man/form_new_page.3x
+++ b/contrib/ncurses/man/form_new_page.3x
@@ -1,6 +1,5 @@
-'\" t
 .\"***************************************************************************
-.\" Copyright 2018-2019,2020 Thomas E. Dickey                                *
+.\" Copyright 2018-2023,2024 Thomas E. Dickey                                *
 .\" Copyright 1998-2010,2015 Free Software Foundation, Inc.                  *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
@@ -28,44 +27,45 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: form_new_page.3x,v 1.17 2020/10/18 00:04:36 tom Exp $
-.TH form_new_page 3X ""
-.ie \n(.g .ds `` \(lq
-.el       .ds `` ``
-.ie \n(.g .ds '' \(rq
-.el       .ds '' ''
+.\" $Id: form_new_page.3x,v 1.34 2024/03/16 15:35:01 tom Exp $
+.TH form_new_page 3X 2024-03-16 "ncurses @NCURSES_MAJOR@.@NCURSES_MINOR@" "Library calls"
+.ie \n(.g \{\
+.ds `` \(lq
+.ds '' \(rq
+.\}
+.el \{\
+.ie t .ds `` ``
+.el   .ds `` ""
+.ie t .ds '' ''
+.el   .ds '' ""
+.\}
 .SH NAME
-\fBset_new_page\fR,
-\fBnew_page\fR \- form pagination functions
+\fBset_new_page\fP,
+\fBnew_page\fP \-
+form pagination functions
 .SH SYNOPSIS
-\fB#include <form.h>\fR
-.sp
-\fBint set_new_page(FIELD *\fP\fIfield\fP\fB, bool \fP\fInew_page_flag\fP\fB);\fP
-.br
-\fBbool new_page(const FIELD *\fP\fIfield\fP\fB);\fP
-.br
+.nf
+\fB#include <form.h>
+.PP
+\fBint set_new_page(FIELD *\fIfield\fP, bool \fInew_page_flag\fP);
+\fBbool new_page(const FIELD *\fIfield\fP);
+.fi
 .SH DESCRIPTION
-The function \fBset_new_page\fR sets or resets a flag marking the given field
+The function \fBset_new_page\fP sets or resets a flag marking the given field
 as the beginning of a new page on its form.
 .PP
-The function \fBnew_page\fR is a predicate which tests if a given field marks
+The function \fBnew_page\fP is a predicate which tests if a given field marks
 a page beginning on its form.
 .SH RETURN VALUE
-The function \fBnew_page\fR returns \fBTRUE\fR or \fBFALSE\fR.
+The function \fBnew_page\fP returns \fBTRUE\fP or \fBFALSE\fP.
 .PP
-The function \fBset_new_page\fR returns one of the following:
+The function \fBset_new_page\fP returns one of the following:
 .TP 5
 .B E_OK
 The routine succeeded.
 .TP 5
 .B E_CONNECTED
 The given field is already connected to a form.
-.SH SEE ALSO
-\fBcurses\fR(3X) and related pages whose names begin \*(``form_\*('' for detailed
-descriptions of the entry points.
-.SH NOTES
-The header file \fB<form.h>\fR automatically includes the header file
-\fB<curses.h>\fR.
 .SH PORTABILITY
 These routines emulate the System V forms library.
 They were not supported on
@@ -73,3 +73,6 @@ Version 7 or BSD versions.
 .SH AUTHORS
 Juergen Pfeifer.
 Manual pages and adaptation for new curses by Eric S. Raymond.
+.SH SEE ALSO
+\fB\%curses\fP(3X) and related pages whose names begin \*(``form_\*(''
+for detailed descriptions of the entry points.
